Apache Install


 
Thread Tools Search this Thread
# 1  
Question Apache Install

My current apache has the following listing.

Code:
 ls
admin      bin        cgi        corefiles  htdocs     include    logs       manual     openssl
build      conf       error      icons      lib        man        modules

It has httpd.conf inside the conf directory and many .so files inside the modules directory.

I tried to download apache latest version from

Download - The Apache HTTP Server Project

Unix Source: httpd-2.2.21.tar.gz [PGP] [MD5] [SHA1]

However, the download does not contain the same directories as expected.

Code:
 ls
ABOUT_APACHE      INSTALL           Makefile.win      README.platforms  buildconf         emacs-style       include           os
Apache.dsw        InstallBin.dsp    NOTICE            ROADMAP           config.layout     httpd.dep         libhttpd.dep      server
BuildAll.dsp      LAYOUT            NWGNUmakefile     VERSIONING        configure         httpd.dsp         libhttpd.dsp      srclib
BuildBin.dsp      LICENSE           README            acinclude.m4      configure.in      httpd.mak         libhttpd.mak      support
CHANGES           Makefile.in       README-win32.txt  build             docs              httpd.spec        modules           test

I understand that this may be the source, however need steps to get it look same as the existing listing.
# 2  
This is asking for a compilation... do you have a c compiler installed?
To see what to do read the README file
# 3  
Error

Any command to check if i have C compiler ?

Code:
uname -a
SunOS mymachine 5.10 Generic_144488-07 sun4v sparc SUNW,SPARC-Enterprise-T5220

# 4  
Code:
which cc; which gcc

Would it not be easier to see if there is not a ready compiled version for your solaris?
# 5  
Freeware List for SPARC and Solaris 10

Quote:
apache-2.2.21-sol10-sparc-local.gz or apache_noldap-2.2.11-sol10-sparc-local.gz Apache 2 - the popular web server - installs in /usr/local/apache2. Dependencies: expat, libiconv, openldap, sasl, zlib, openssl-1.0.0e, and either the libgcc-3.4.6 or gcc-3.4.6. If you do not need openldap support, it is suggested that you install the apache_noldap package. Documentation can be found in /usr/local/doc/apache. The configuration files in /usr/local/apache2/conf must be edited to fit your site's needs, including ssl support.

If you have already been using apache2, MAKE SURE that you backup any files in the conf, htdocs, modules, or other subdirectories of /usr/local/apache2 where you might have changed or added files so that installing the updated apache2 will not cause your configuration or other files to be lost.

The configuration step for this package was

./configure --prefix=/usr/local/apache2 --enable-mods-shared=all --enable-ssl=shared --enable-ssl --with-ssl=/usr/local/ssl --enable-proxy --enable-proxy-connect --enable-proxy-ftp --enable-proxy-http --with-ldap --enable-ldap --enable-authnz-ldap

The modules that were compiled with this package can be found in /usr/local/apache2/modules. You may also need to set up startup scripts to begin the httpd processes at boot up. See the appropriate link for your level of Solaris in openssh.html where you can determine how to set up the randomness features required when using openssl.
# 6  
Error

Code:
which cc
no cc in /usr/bin /opt/SUNWspro/bin /opt/sfw/cups/bin /usr/bin . /opt/VRTS/bin /opt/sfw/bin /usr/local/bin
which gcc
no gcc in /usr/bin /opt/SUNWspro/bin /opt/sfw/cups/bin /usr/bin . /opt/VRTS/bin /opt/sfw/bin /usr/local/bin

Kindly help trace my C compiler.
# 7  
Code:
lo4:/export/home/vbe $ what /bin/cc
/bin/cc:
        SunOS 5.10 Generic January 2005
        stdio.h 1.84    04/09/28 SMI
        feature_tests.h 1.25    07/02/02 SMI
        ccompile.h      1.2     04/11/08 SMI
        isa_defs.h      1.29    08/06/06 SMI
        stdio_iso.h     1.8     05/08/16 SMI
        va_list.h       1.15    04/11/19 SMI
        stdio_tag.h     1.4     04/09/28 SMI
        stdio_impl.h    1.15    07/03/05 SMI
        stdio_c99.h     1.2     04/03/29 SMI
        stdlib.h        1.51    04/06/30 SMI
        stdlib_iso.h    1.9     04/09/28 SMI
        stdlib_c99.h    1.2     04/03/29 SMI
        unistd.h        1.76    06/03/10 SMI
        types.h 1.86    07/09/20 SMI
etc...
lo4:/export/home/vbe $ find / -name cc -print
/opt/solstudio12.2/prod/bin/cc
/opt/solstudio12.2/prod/include/cc
/opt/solstudio12.2/include/cc
/opt/solstudio12.2/bin/cc
etc...

 

Previous Thread | Next Thread
Thread Tools Search this Thread
Search this Thread:
Advanced Search

10 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

Solaris install php as an apache module

Hi, I need to install php 5.5.30 as an apache (2.4.17) module on Solaris 10. Please any help is wellcome. Some aditional info: /usr/sfw/bin/gcc -v Reading specs from /usr/sfw/lib/gcc/sparc-sun-solaris2.10/3.4.3/specs bash-3.2# g++ -v Reading specs from... (1 Reply)
Discussion started by: lbslbs
1 Replies

2. Solaris

Install apache 2.2.22 on Solaris 10

Hi all, This is Solaris 10 OS I received this error on Server, -bash-3.00$ /usr/local/apache2/bin/httpd -v ld.so.1: httpd: fatal: libaprutil-1.so.0: open failed: No such file or directory Killed -bash-3.00$ How to resolve this dependencies which are not resolved? ... (0 Replies)
Discussion started by: manalisharmabe
0 Replies

3. Solaris

I can't get apache or gzip to install

Ok who wants to play with this server and assist me? I'm super stuck and need to get it up and running. :) (6 Replies)
Discussion started by: Ragingbull
6 Replies

4. SCO

How to install Apache 5.0 and JRE 1.4.0

Hello, I have a problem to run the the Web aplication Cincom Mantis XML on a SCO 6.0 with MP2. My Tomcat is 4.1.31 The Cincom support tell me tha I need the Apache Tomcat 5.5 and Java JRE 1.4.0 Can I install a linux version into SCO 6.0 system ? Thank you for your help. ... (1 Reply)
Discussion started by: hrmaldonado
1 Replies

5. UNIX for Dummies Questions & Answers

Help needed to install Apache Tomcat

I want to setup apache tomcat on my linux distribution . I Have downloaded apache tomcat from below mentioned link. Administration Web Application: Apache Tomcat - Apache Tomcat 5 Downloads The setup was in following format. apache-tomcat-5.5.29-admin.tar.gz Below are the command i... (7 Replies)
Discussion started by: pinga123
7 Replies

6. Solaris

Apache Install error on Solaris 10 x86

I am trying to install apache on a sun server (Solaris 10 x86) but when I execute the compile i have the following error; configure failed for srclib/apr Can anybody help with this. Thanks for the usual help oh-daa (2 Replies)
Discussion started by: oh-daa
2 Replies

7. Web Development

hosting service that allow me to compile and install my own apache

Is there any cheap hosting service that allow me to compile and install my own apache and php ? thanks (1 Reply)
Discussion started by: aneuryzma
1 Replies

8. UNIX for Advanced & Expert Users

how to install apache-1.3.20-16.src.rpm into rh7.3

hi all expert, can antone tell me ho to install apache-1.3.20-16.src.rpm into redhat 7.3. I ready try many many time and using many method i still can not install this apache. Please help me................................... (1 Reply)
Discussion started by: foong
1 Replies

9. UNIX for Dummies Questions & Answers

How to install and configure Apache on SCO openserver 5

I have just been made responsible for setting up Apache on our office SCO box. I have searched the internet, but haven't found any details that I can make sense of. I'm unfamiliar with Unix and would appreciate any help members of the forum have to offer. (1 Reply)
Discussion started by: cstovall
1 Replies

10. UNIX for Dummies Questions & Answers

problem when install apache in AIx4.2

when i run #./configure --prefix=/usr/local/apache then have an error Creating Makefile in src + configured for IBM AIX 4.2 platform Error: could not find any of these C compilers anywhere in your PATH: gcc cc acc c89 Configure terminated How could i find c compilers? help... (3 Replies)
Discussion started by: chiyx
3 Replies

Featured Tech Videos